Name:		hamster-time-tracker
Version:	1.03.3
Release:	%mkrel 1
Summary:	The linux time tracker
License:	GPLv+
Group:		Graphical desktop/GNOME
Url:		http://projecthamster.wordpress.com
Source0:	https://github.com/projecthamster/hamster/archive/%{name}-%{version}.tar.gz
BuildArch:	noarch
#BuildRequires:	waf
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	gnome-doc-utils
Requires:	gnome-python-desktop
Provides:	hamster-applet
Obsoletes:	hamster-applet < 2.91.3-1

%description
The linux time tracker for GNOME v3+.

%prep
%setup -q -n hamster-%{name}-%{version}

#fix path
sed -i -e 's,@LIBDIR@,@DATADIR@,' *.service.in

%build
./waf configure build \
	--prefix=%{_prefix} \
	--libdir=%{_datadir}

%install
./waf install \
	--destdir=%{buildroot}

%find_lang %{name} --with-gnome

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc NEWS MAINTAINERS AUTHORS README*
%{_sysconfdir}/bash_completion.d/hamster.bash
%{_sysconfdir}/gconf/schemas/hamster-time-tracker.schemas
%{_bindir}/hamster
%{_datadir}/applications/hamster-*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/dbus-1/services/org.gnome.hamster*.service
%{_datadir}/%{name}
%{python_sitelib}/hamster/


%changelog
* Wed Oct 30 2013 wally <wally> 1.03.3-1.mga4
+ Revision: 548036
- new version 1.03.3
- rename pkg as hamster-time-tracker

* Sat Jan 12 2013 umeabot <umeabot> 2.91.3-0.20111207.2.mga3
+ Revision: 353085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 guillomovitch <guillomovitch> 2.91.3-0.20111207.1.mga2
+ Revision: 178312
- new version (git snapshot)

  + dmorgan <dmorgan>
    - Do not build applets (P1)

  + ahmad <ahmad>
    - Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Fri Mar 18 2011 wally <wally> 2.32.1-4.mga1
+ Revision: 74259
- require python-notify

* Fri Mar 18 2011 wally <wally> 2.32.1-3.mga1
+ Revision: 74251
- require python-pyxdg (mga#431)
- require python-dbus and drop duplicate require
- drop buildroot definition

* Thu Mar 03 2011 pterjan <pterjan> 2.32.1-2.mga1
+ Revision: 63665
- Set libdir so that the .server is correct
- imported package hamster-applet

